import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import UnoCSS from 'unocss/vite'
import AutoImport from 'unplugin-auto-import/vite'
import VueRouter from 'unplugin-vue-router/vite'
import { VueRouterAutoImports } from 'unplugin-vue-router'
import { resolve } from 'path';
// https://vitejs.dev/config/
export default defineConfig({
  plugins: [VueRouter({
    // Folder(s) to scan for vue components and generate routes. Can be a string, or
    // an object, or an array of those.
    routesFolder: 'src/views',

    // allowed extensions to be considered as routes
    extensions: ['.vue'],
  }), vue(), UnoCSS('./uno.config.ts'), AutoImport({
    include: [
      /\.[tj]sx?$/,
      /\.vue$/,
      /\.vue\?vue/,
    ],

    imports: ['vue', 'vitest', VueRouterAutoImports,
      {
        // add any other imports you were relying on
        'vue-router/auto': ['useLink']
      },],

    dts: 'src/auto-import.d.ts',

  })],
  resolve: {
    alias: {
        // @ 替代为 src
      '@': resolve(__dirname, 'src'),
       // @component 替代为 src/component
     
    },
  },

})


